@echo off
echo.
echo Setup Alternate Human Ships for XCOM/UFO for DOS/Windows
echo Ship Designs by Robert DiFiore and Scott T Jones
echo.
if not exist maps\culta00.map goto noXCOM
if not exist xcomutil.exe     goto noXCUTIL
if not exist runxcomw.bat     goto noXCUTIL
xcomutil QueryInfo Version > nul
if errorlevel 86 goto chksetup

:noXCUTIL
echo.
echo You need a fully installed copy of XCOMUTIL v. 8.6 or later 
echo before you attempt to install this package.  The latest version
echo can be download from the XCOMUTIL Homepage at:
echo http://members.aol.com/stjones/xcomutil/
goto finis

:noXCOM
echo.
echo You need to run this installation in the same directory 
echo in which some version of XCOM or UFO is installed.
goto noXCUTIL

:chksetup
xcomutil QueryInfo CheckSetup >nul
if errorlevel 1 goto noXCUTIL
if not exist xcomutil.gfc if exist xcomutil.cfg copy xcomutil.cfg xcomutil.gfc >nul

copy maps\plane.xcu    maps\plane.map    >nul
copy maps\lightnin.xcu maps\lightnin.map >nul
copy maps\avenger.xcu  maps\avenger.map  >nul
copy maps\interc.xcu   maps\interc.map   >nul
copy maps\fires.xcu    maps\fires.map    >nul

echo XCOMShips                             >temp.cfg
echo Stats                                 >>temp.cfg

echo Choose your Skyranger:
echo.
echo 1 = Default Skyranger
echo 2 = Skyranger with side ramps
echo 3 = Jumbo Skyranger
sdump * getresp 123 1
if errorlevel 3 goto useJumbo
if errorlevel 2 goto useSide

echo  760     2  1500   150    0   14    3 >>temp.cfg
echo //default Skyranger >temp1.cfg
goto getInter

:useJumbo
echo  760     2  1500   150    0   28    4 >>temp.cfg
copy plane2.cfg temp1.cfg      >nul
copy plane2.map maps\plane.map >nul
goto getInter

:useSide
echo  760     2  1500   150    0   14    3 >>temp.cfg
copy plane1.cfg temp1.cfg      >nul
copy plane1.map maps\plane.map >nul

:getInter
echo 3100     8    30   800    1   28    0 >>temp.cfg
echo 5400    10    60  1200    2   26    4 >>temp.cfg

echo.
echo Choose your Interceptor:
echo.
echo 1 = Default Interceptor
echo 2 = Small Interceptor with side ramps
sdump * getresp 12 1
if errorlevel 2 goto smlInter

echo 2100     3  1000   100    2    6    1 >>temp.cfg
echo //default Interceptor >temp2.cfg
goto chosen

:smlInter
echo 2100     3  1000   100    2    4    0 >>temp.cfg
copy interc1.cfg temp2.cfg       >nul
copy interc1.map maps\interc.map >nul

:chosen
echo 4200     9    20   500    2   10    1 >>temp.cfg
echo /Stats                                >>temp.cfg
echo /XCOMShips                            >>temp.cfg

copy temp.cfg+temp1.cfg+temp2.cfg+xcomutil.gfc xcomutil.cfg >nul
xcomutil ufoexe shp:cfg wrt

if exist temp.cfg  erase temp.cfg
if exist temp1.cfg erase temp1.cfg
if exist temp2.cfg erase temp2.cfg

:finis
